paso::Preconditioner_LocalSmoother Struct Reference

`#include <Preconditioner.h>`

## Public Attributes

bool | Jacobi
double * | diag
double * | buffer
index_t * | pivot

## Member Data Documentation

## buffer

double* paso::Preconditioner_LocalSmoother::buffer

Referenced by paso::Preconditioner_LocalSmoother_alloc(), paso::Preconditioner_LocalSmoother_free(), paso::Preconditioner_LocalSmoother_solve(), paso::Preconditioner_Smoother_solve(), and paso::Preconditioner_Smoother_solve_byTolerance().

## diag

double* paso::Preconditioner_LocalSmoother::diag

Referenced by paso::Preconditioner_LocalSmoother_alloc(), paso::Preconditioner_LocalSmoother_free(), paso::Preconditioner_LocalSmoother_Sweep(), paso::Preconditioner_LocalSmoother_Sweep_colored(), and paso::Preconditioner_LocalSmoother_Sweep_sequential().

## Jacobi

bool paso::Preconditioner_LocalSmoother::Jacobi

Referenced by paso::Preconditioner_LocalSmoother_alloc(), and paso::Preconditioner_LocalSmoother_Sweep().

## pivot

index_t* paso::Preconditioner_LocalSmoother::pivot

Referenced by paso::Preconditioner_LocalSmoother_alloc(), paso::Preconditioner_LocalSmoother_free(), paso::Preconditioner_LocalSmoother_Sweep(), paso::Preconditioner_LocalSmoother_Sweep_colored(), and paso::Preconditioner_LocalSmoother_Sweep_sequential().

The documentation for this struct was generated from the following file:

- Preconditioner.h